Get dialogue node
curl --request GET \
--url https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/dialogue-nodes/{node_id}import requests
url = "https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/dialogue-nodes/{node_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.kitefrost.ai/v1/projects/{project_id}/game-narrative/dialogue-nodes/{node_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Unauthorized",
"code": "unauthorized",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "No valid API key was supplied.",
"doc_url": "https://docs.kitefrost.ai/errors/unauthorized"
}{
"error": "Forbidden",
"code": "forbidden",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "Your API key does not have the required scope.",
"doc_url": "https://docs.kitefrost.ai/errors/forbidden"
}{
"error": "Not found",
"code": "not_found",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "The requested resource does not exist.",
"doc_url": "https://docs.kitefrost.ai/errors/not_found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": "Rate limit exceeded",
"code": "rate_limited",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "You have exceeded the rate limit for your plan.",
"doc_url": "https://docs.kitefrost.ai/errors/rate_limited"
}{
"error": "Internal server error",
"code": "internal_error",
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"message": "An unexpected error occurred.",
"doc_url": "https://docs.kitefrost.ai/errors/internal_error"
}dialogue
Get dialogue node
GET
/
v1
/
projects
/
{project_id}
/
game-narrative
/
dialogue-nodes
/
{node_id}
Get dialogue node
Path Parameters
Response
Successful Response
The response is of type Response Get Node V1 Projects Project Id Game Narrative Dialogue Nodes Node Id Get · object.
⌘I